Skip to main content
POST
Translate a message

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

message_id
integer
required

The numeric ID of the message

Body

application/json
target_language
string
required

Target language code, e.g. fr.

Example:

"fr"

Response

Success

content
string | null

The translated text, or null when the Google Translate integration is not configured for the account or the provider returned nothing.